%define upstream_name    WWW-Mechanize-Sleepy
%define upstream_version 0.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	WWW::Mechanize::Sleepy - A Sleepy Mechanize Agent
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch


%description
Sometimes when testing the behavior of a webserver it is important
to be able to space out your requests in order to simulate a
person reading, thinking (or sleeping) at the keyboard.

WWW::Mechanize::Sleepy subclasses WWW::Mechanize to provide pauses
between your server requests. Use it just like you would use
WWW::Mechanize.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

# make test don't work...
#make test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/WWW/Mechanize/Sleepy.pm
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.700.0-11.mga9
+ Revision: 1806651
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.700.0-10.mga8
+ Revision: 1498306
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.700.0-9.mga7
+ Revision: 1272632
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.700.0-8.mga6
+ Revision: 1035766
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.700.0-7.mga6
+ Revision: 949261
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.700.0-6.mga5
+ Revision: 789295
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.700.0-5.mga5
+ Revision: 739877
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.700.0-4.mga5
+ Revision: 686847
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.700.0-3.mga4
+ Revision: 515909
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.700.0-2.mga3
+ Revision: 374741
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.700.0-1.mga1
+ Revision: 27243
- mageia rebuild
- imported package perl-WWW-Mechanize-Sleepy


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.700.0-1mdv2011.0
+ Revision: 596700
- update to 0.7

* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.600.0-1mdv2011.0
+ Revision: 505370
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.6-4mdv2010.0
+ Revision: 430657
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.6-3mdv2009.0
+ Revision: 242155
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 0.6-1mdv2008.0
+ Revision: 20749
- 0.6


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.5-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
- use mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdk
- initial Mandriva package

